Attribute VB_Name = "Sepa"
' Copyright 2012 by www.edvw.at; A.Wimmer
' Dieser Code darf nur in Verbindung mit den SEPA-Tools
' (www.sepa-tool.de) verwendet werden. J.Schliffenbacher


Public Type T_CreateXML
   strExport      As String * 256 'char ExportPfad[255+1] Laufwerk und Pfad fr die Ausgabe der XML-Datei.
   lngArt         As Long         'int Lastschrift berweisung (=0) oder Lastschrift (<>0).
   strDateiName   As String * 36  'char XMLName[35+1] Der Name der zu erzeugenden XML-Datei 1).
   strID          As String * 36  'char MsgId[35+1] Message-Id (Kennung) fr die XML-Datei 2).
   strEinreicher  As String * 71  'char EinreicherName[70+1] Name des Einreichers der Datei (mind. 3 Zeichen).
End Type

Public Type T_WriteXML
  str1PayInfo        As String * 11 '10+1 PaymentInfoId  Kennzeichnung des Auftrags 1).
  str2AusfDatum      As String * 9  '8+1 Ausfhrungsdatum der Zahlungen im Format TTMMJJJJ.
  str3AuftragName    As String * 71 '70+1 Name des Auftraggebers mit mind. 3 Zeichen.
  str4AuftragBIC     As String * 12 '11+1 BIC des Auftraggebers.
  str5AuftragIBAN    As String * 36 '35+1 IBAN des Auftraggebers.
  str6AuftragAbwName As String * 71 '70+1 Optional einen abweichenden Namen des Auftraggebers.
  str7AuftragCI      As String * 36 '35+1 CI des Auftraggebers, nur bei Lastschriften.
  str8AuftragBLZ     As String * 9  '8+1 Optionale BLZ des Auftraggebers.
  str9Auftragkonto   As String * 12 '11+1 Optionale Kontonummer des Auftraggebers.
  str10EmpfName       As String * 71 '70+1 Name des Empfngers der Zahlung mit mind. 3 Zeichen.
  str11EmpfBIC        As String * 12 '11+1 BIC des Empfngers.
  str12EmpfIBAN       As String * 36 '35+1 IBAN des Empfngers.
  str13EmpfAbwName    As String * 71 '70+1 Optional ein abweichender Empfngername
  str14EmpfBLZ        As String * 9  '8+1 Optionale BLZ des Empfngers.
  str15EmpfKonto      As String * 12 '11+1 Optionale Kontonummer des Empfngers.
  str16Verwendung     As String * 5  '4+1 Optionale Angabe eines Zwecks der Zahlung 2).
  str17Betrag         As String * 13 'Betrag der Zahlung. 1010 = 10,10 Euro
  str18EndToEndId     As String * 11 '10+1 Kennung der Einzelzahlung 3).
  str19MandatId       As String * 36 '35+1 Mandatskennung (nur) fr Lastschriften.
  str20MandatDatum    As String * 9  '8+1 Datum des Mandats im Format TTMMJJJJ.
  str21SequenceType   As String * 5  '4+1 Sequence der Lastschrift 4).
  lng22B2B            As Long        'B2B-Lastschrift (<>0) oder normale Lastschrift (=0).
  str23Zweck1         As String * 71 '70+1 Verwendungszweck Zeile 1
  str24Zweck2         As String * 71 '70+1 Verwendungszweck Zeile 2
End Type

Public Type T_CloseXML
 lngAnzahl          As Long     'Anzahl der erzeugten Datenstze.
 strSummeBetrag     As String * 13 'Gesamtsumme der Betrge in der XML-Datei.
End Type

Public ErzeugeXML As T_CreateXML
Public WriteXML As T_WriteXML
Public CloseXML As T_CloseXML
                                                                                                                                                                                                         
Public edvwHandle As Long

Public Declare Function SepaTools_Init Lib "SepaTools.dll" (ByVal DataPath As String, ByVal TempPath As String, ByVal UserPath As String, ByVal Lizenz As String, ByVal Netz As Long) As Long
Public Declare Sub SepaTools_Free Lib "SepaTools.dll" ()
Public Declare Function SepaTools_CreateXML Lib "SepaTools.dll" (ErzeugeXML As T_CreateXML) As Long
Public Declare Function SepaTools_WriteXML Lib "SepaTools.dll" (WriteXML As T_WriteXML) As Long
Public Declare Function SepaTools_CloseXML Lib "SepaTools.dll" (CloseXML As T_CloseXML) As Long
'Version_2_4 = 1 Erzeugt eine XML-Datei nach ZKA-Version 2.4, bzw. nach Rulebook 3.2 fr sterreich.
'Version_2_5 = 2 Erzeugt eine XML-Datei nach ZKA-Version 2.5, bzw. nach Rulebook 5.0 fr sterreich.
'Land_DE = 2 Deutschland
'Land_AT = 1 sterreich
Public Declare Function SepaTools_SetVersionUndLand Lib "SepaTools.dll" (ByVal lngVersion As Long, ByVal lngLand As Long) As Long

